Bug 1300374 - [RFE] Stop hardcoding all possible Ironic drivers in tripleo-common node registration code
[RFE] Stop hardcoding all possible Ironic drivers in tripleo-common node regi...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dmitry Tantsur
Dan Yasny
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 10:28 EST by Dmitry Tantsur
Modified: 2017-10-20 06:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 263309 None None None 2016-01-20 10:30 EST

  None (edit)
Description Dmitry Tantsur 2016-01-20 10:28:52 EST
Ironic has too many properties and enough drivers to make hardcoding them all impractical. Director should only know about power properties (pm_*), capabilities, scheduling properties and node name. Everything else should go to Ironic untouched.

This way we won't require package updates every time customers want to use a new option or a new driver.
Comment 1 Dmitry Tantsur 2016-01-20 10:30:04 EST
The first patch is up for review upstream.
Comment 2 Mike Burns 2016-04-07 17:03:37 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 4 Dmitry Tantsur 2016-10-14 11:21:43 EDT
As of OSP9, we no longer hardcode all possible properties. However, we do hardcode drivers, so I'm keeping this bug opened and targeted to Ocata.

Note You need to log in before you can comment on or make changes to this bug.